TikTok Shop

Search TikTok's Creator Marketplace by filters, one page of creators

POST/api/public/v1/tik_tok_shop/creators/discover
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id discoverTikTokShopCreators

Request

curl

curl -X POST "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/creators/discover" \
  -H "Authorization: Bearer gdc_..." \
  -H "Content-Type: application/json" \
  -d '{"advanced":{"contentPreference":["VIDEO"],"eligibleFlatFee":true,"options":[{"optionType":"OPTION_VERTICAL_PRO","options":[{"children":null,"id":null,"name":null}]}],"sorterAlgorithmId":"string"},"affiliate":{"agencyStatus":"AGENCY_MANAGED","avgCommissionRate":"LESS_THAN_20%","fastGrowing":true,"notInvitedLast90Days":true,"postRate":"OK"},"categories":[{"childCategoryIds":["string"],"parentCategoryId":"string"}],"contentPerformance":{"avgEngagementRateMin":3,"avgLiveViewersMin":3,"avgShoppableEngagementRateMin":3,"avgShoppableLiveViewersMin":3,"avgShoppableVideoViewsMin":3,"avgVideoViewsMin":3},"dataGroups":["BASIC_CREATOR_INFORMATION"],"followers":{"ageRanges":["AGE_RANGE_18_24"],"countMax":3,"countMin":3,"gender":{"gender":"MALE","minShareBp":3}},"gmvRanges":["GMV_RANGE_0_100"],"keyword":"string","pageSize":12,"pageToken":"string","searchKey":"string","unitsSoldRanges":["UNITS_SOLD_RANGE_0_10"]}'

Parameters

NameInTypeNotes
organization_idqueryinteger

Request body

FieldTypeNotes
advancedobject
advanced.contentPreferencearray of string
advanced.eligibleFlatFeeboolean
advanced.optionsarray of object
advanced.options[].[].optionTypestringrequiredOne of OPTION_VERTICAL_PROOPTION_LANGUAGEOPTION_CREATOR_LEVELOPTION_SORTEROPTION_BRAND
advanced.options[].[].optionsarray of objectrequired
advanced.options[].[].options[].[].childrenarray of object
advanced.options[].[].options[].[].idstringrequired
advanced.options[].[].options[].[].namestring
advanced.sorterAlgorithmIdstring
affiliateobject
affiliate.agencyStatusstringOne of AGENCY_MANAGEDINDEPENDENT
affiliate.avgCommissionRatestringOne of LESS_THAN_20%LESS_THAN_15%LESS_THAN_10%LESS_THAN_5%
affiliate.fastGrowingboolean
affiliate.notInvitedLast90Daysboolean
affiliate.postRatestringOne of OKGOODBETTER
categoriesarray of object
categories[].[].childCategoryIdsarray of string
categories[].[].parentCategoryIdstringrequired
contentPerformanceobject
contentPerformance.avgEngagementRateMininteger
contentPerformance.avgLiveViewersMininteger
contentPerformance.avgShoppableEngagementRateMininteger
contentPerformance.avgShoppableLiveViewersMininteger
contentPerformance.avgShoppableVideoViewsMininteger
contentPerformance.avgVideoViewsMininteger
dataGroupsarray of string
followersobject
followers.ageRangesarray of string
followers.countMaxinteger
followers.countMininteger
followers.genderobject
followers.gender.genderstringrequiredOne of MALEFEMALE
followers.gender.minShareBpintegerrequired
gmvRangesarray of string
keywordstring
pageSizeintegerOne of 1220
pageTokenstring
searchKeystring
unitsSoldRangesarray of string

Example

{
  "advanced": {
    "contentPreference": [
      "VIDEO"
    ],
    "eligibleFlatFee": true,
    "options": [
      {
        "optionType": "OPTION_VERTICAL_PRO",
        "options": [
          {
            "children": null,
            "id": null,
            "name": null
          }
        ]
      }
    ],
    "sorterAlgorithmId": "string"
  },
  "affiliate": {
    "agencyStatus": "AGENCY_MANAGED",
    "avgCommissionRate": "LESS_THAN_20%",
    "fastGrowing": true,
    "notInvitedLast90Days": true,
    "postRate": "OK"
  },
  "categories": [
    {
      "childCategoryIds": [
        "string"
      ],
      "parentCategoryId": "string"
    }
  ],
  "contentPerformance": {
    "avgEngagementRateMin": 3,
    "avgLiveViewersMin": 3,
    "avgShoppableEngagementRateMin": 3,
    "avgShoppableLiveViewersMin": 3,
    "avgShoppableVideoViewsMin": 3,
    "avgVideoViewsMin": 3
  },
  "dataGroups": [
    "BASIC_CREATOR_INFORMATION"
  ],
  "followers": {
    "ageRanges": [
      "AGE_RANGE_18_24"
    ],
    "countMax": 3,
    "countMin": 3,
    "gender": {
      "gender": "MALE",
      "minShareBp": 3
    }
  },
  "gmvRanges": [
    "GMV_RANGE_0_100"
  ],
  "keyword": "string",
  "pageSize": 12,
  "pageToken": "string",
  "searchKey": "string",
  "unitsSoldRanges": [
    "UNITS_SOLD_RANGE_0_10"
  ]
}

Responses

200Success

FieldTypeNotes
creatorsarray of objectrequired
creators[].[].avatarUrlstring, nullable
creators[].[].avgShoppableLiveViewersinteger, nullable
creators[].[].avgShoppableVideoViewsinteger, nullable
creators[].[].categoryIdsarray of string
creators[].[].followerCountinteger, nullable
creators[].[].gmvobject, nullable
creators[].[].gmv.amountstring, nullable
creators[].[].gmv.currencystring, nullable
creators[].[].gmvRangeobject, nullable
creators[].[].gmvRange.currencystring, nullable
creators[].[].gmvRange.formattedstring, nullable
creators[].[].gmvRange.maxstring, nullable
creators[].[].gmvRange.minstring, nullable
creators[].[].liveGmvobject, nullable
creators[].[].liveGmv.amountstring, nullable
creators[].[].liveGmv.currencystring, nullable
creators[].[].nicknamestring, nullable
creators[].[].openIdstringrequired
creators[].[].profileobject, nullable
creators[].[].profile.creatorLevelinteger, nullable
creators[].[].profile.hasCollaboratedboolean, nullable
creators[].[].profile.hasInvitedLast90Daysboolean, nullable
creators[].[].profile.isBlockedByShopboolean, nullable
creators[].[].profile.isEligibleFlatFeeboolean, nullable
creators[].[].profile.isFastGrowingboolean, nullable
creators[].[].profile.isOfficialRecommendboolean, nullable
creators[].[].profile.isRisingStarboolean, nullable
creators[].[].profile.mcnNamestring, nullable
creators[].[].profile.ppsScorestring, nullable
creators[].[].profile.userTypeTagsarray of integer
creators[].[].selectionRegionstring, nullable
creators[].[].topFollowerDemographicsobject, nullable
creators[].[].topFollowerDemographics.ageRangesarray of string
creators[].[].topFollowerDemographics.majorGenderobject, nullable
creators[].[].topFollowerDemographics.majorGender.genderstring, nullable
creators[].[].topFollowerDemographics.majorGender.percentageBpinteger, nullable
creators[].[].unitsSoldRangeobject, nullable
creators[].[].unitsSoldRange.formattedstring, nullable
creators[].[].unitsSoldRange.maxinteger, nullable
creators[].[].unitsSoldRange.mininteger, nullable
creators[].[].usernamestring, nullable
creators[].[].videoGmvobject, nullable
creators[].[].videoGmv.amountstring, nullable
creators[].[].videoGmv.currencystring, nullable
hasMorebooleanrequired
nextPageTokenstring, nullablerequired
persistedbooleanrequired
quotaobject, nullablerequired
quota.limitinteger
quota.remaininginteger
quota.resetsAtstring (date-time)
quota.scopestringOne of gateway_discover_daily
quota.usedinteger
searchKeystring, nullablerequired

Example

{
  "creators": [
    {
      "avatarUrl": "https://example.com/p/1",
      "avgShoppableLiveViewers": 3,
      "avgShoppableVideoViews": 3,
      "categoryIds": [
        "string"
      ],
      "followerCount": 3,
      "gmv": {
        "amount": "string",
        "currency": "usd"
      },
      "gmvRange": {
        "currency": "usd",
        "formatted": "string",
        "max": "string",
        "min": "string"
      },
      "liveGmv": {
        "amount": "string",
        "currency": "usd"
      },
      "nickname": "Example name",
      "openId": "string",
      "profile": {
        "creatorLevel": 3,
        "hasCollaborated": true,
        "hasInvitedLast90Days": true,
        "isBlockedByShop": true,
        "isEligibleFlatFee": true,
        "isFastGrowing": true,
        "isOfficialRecommend": true,
        "isRisingStar": true,
        "mcnName": "Example name",
        "ppsScore": "string",
        "userTypeTags": [
          3
        ]
      },
      "selectionRegion": "string",
      "topFollowerDemographics": {
        "ageRanges": [
          "string"
        ],
        "majorGender": {
          "gender": "string",
          "percentageBp": 3
        }
      },
      "unitsSoldRange": {
        "formatted": "string",
        "max": 3,
        "min": 3
      },
      "username": "Example name",
      "videoGmv": {
        "amount": "string",
        "currency": "usd"
      }
    }
  ],
  "hasMore": true,
  "nextPageToken": "string",
  "persisted": true,
  "quota": {
    "limit": 3,
    "remaining": 3,
    "resetsAt": "2026-11-01T15:04:05Z",
    "scope": "gateway_discover_daily",
    "used": 3
  },
  "searchKey": "string"
}

Errors: 400401403404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.